Skip to main content
GET
/
api
/
v2
/
code-refs
/
repositories
List repositories
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/code-refs/repositories \
  --header 'Authorization: <api-key>'
{
  "_links": {},
  "items": [
    {
      "name": "LaunchDarkly-Docs",
      "type": "github",
      "defaultBranch": "main",
      "enabled": true,
      "version": 3,
      "_links": {},
      "sourceLink": "https://github.com/launchdarkly/LaunchDarkly-Docs",
      "commitUrlTemplate": "https://github.com/launchdarkly/LaunchDarkly-Docs/commit/${sha}",
      "hunkUrlTemplate": "https://github.com/launchdarkly/LaunchDarkly-Docs/blob/${sha}/${filePath}#L${lineNumber}",
      "branches": [
        {
          "name": "main",
          "head": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3",
          "syncTime": "1636558831870",
          "_links": {},
          "updateSequenceId": 25,
          "references": [
            {
              "path": "/main/index.js",
              "hunks": [
                {
                  "startingLineNumber": 45,
                  "lines": "var enableFeature = 'enable-feature';",
                  "projKey": "default",
                  "flagKey": "enable-feature",
                  "aliases": [
                    "enableFeature",
                    "EnableFeature"
                  ]
                }
              ],
              "hint": "javascript"
            }
          ]
        }
      ],
      "_access": {
        "denied": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ],
        "allowed": [
          {
            "action": "<string>",
            "reason": {
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "notResources": [
                "<string>"
              ],
              "actions": [
                "*"
              ],
              "notActions": [
                "<string>"
              ],
              "role_name": "<string>"
            }
          }
        ]
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

withBranches
string<string>

If set to any value, the endpoint returns repositories with associated branch data

withReferencesForDefaultBranch
string<string>

If set to any value, the endpoint returns repositories with associated branch data, as well as code references for the default git branch

projKey
string<string>

A LaunchDarkly project key. If provided, this filters code reference results to the specified project.

flagKey
string<string>

If set to any value, the endpoint returns repositories with associated branch data, as well as code references for the default git branch

Response

Repository collection response

items
object[]
required

An array of repositories